Subject: [nfsv4] FW: New Version Notification for draft-dnoveck-nfsv4-migration-issues-01.txt

From: <[email-masked]>
Date: Thu, 6 Oct 2011 13:30:06 -0400

Passing along the information about the recent submission of the -01 iteration of the migration-issues draft. 

The url is datatracker.ietf.org/doc/draft-dnoveck-nfsv4-migration-issues/

This is fairly complete.  There will be a -02 in November and the  big goal is to
incorporate what we learn from implementation prototyping and interoperability testing. 

Despite the relative completeness, I expect ongoing discussion of some issues:

    Some concern has been expressed about needing a way to treat state on a more 
    per-fsid basis.

    Pushing back and forth about MUST vs. SHOULD will continue.

    The issue of what client-id string models to allow has died down for a while, but,
    just when you thought it was safe to go back in the water ...

I believe Oracle will have some prototypes to test at the bakeathon.  Talk to Chuck Lever 
about details.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, October 06, 2011 12:12 PM
To: Noveck, David
Cc: [email-masked]; [email-masked]; [email-masked]; Noveck, David
Subject: New Version Notification for draft-dnoveck-nfsv4-migration-issues-01.txt

A new version of I-D, draft-dnoveck-nfsv4-migration-issues-01.txt has been successfully submitted by David Noveck and posted to the IETF repository.

Filename:	 draft-dnoveck-nfsv4-migration-issues
Revision:	 01
Title:		 NFSv4.0 migration: Implementation experience and spec issues to resolve
Creation date:	 2011-10-05
WG ID:		 Individual Submission
Number of pages: 40

Abstract:
   The migration feature of NFSv4 provides for moving responsibility for
   a single filesystem from one server to another, without disruption to
   clients.  Recent implementation experience has shown problems in the
   existing specification for this feature.  This document discusses the
   issues which have arisen and explores the options available for
   curing the issues via clarification and correction of the NFSv4.0
   specification.

The IETF Secretariat